export interface DataFormProps {
  defaultValue?: Date
  placeholder?: string
  columns?: { label: string; value: string }[]
  disabled?: boolean
  'onUpdate:modelValue'?: (value: string) => void
  type?: 'nickname'
  maxlength?: number
}
export interface DataFormSchema {
  [key: symbol | string]: {
    type: 'TextField' | 'Select' | 'Radio' | 'Submit' | 'TimePick' | 'Textarea' | 'Checkbox'
    label?: string
    labelWidth?: number
    hiddenLabel?: boolean
    existing?: boolean
    required?: boolean
    props?: DataFormProps
  }
}
