export enum MessageType {
  /**
   * 系统消息
   */
  System = 1,
  /**
   * 积分消息
   */
  Integral = 2,
  /**
   * 互动消息
   */
  Interact = 3,
}
export enum QrCodeBusinessType {
  /**
   * 积分结账
   */
  PointsCheckout = 'PC',
  /**
   * 到店核销
   */
  InStoreWriteOff = 'ISWO',
  /**
   * 到店打卡
   */
  InStoreClockIn = 'ISCI',
  /**
   * 页面路径
   */
  PagePath = 'PP',
}
export enum PointStatus {
  // 状态(待确认1，已完成2，已驳回3，已撤销4)
  /**
   * 待确认
   */
  PendingConfirmation = 1,
  /**
   * 已完成
   */
  Completed = 2,
  /**
   * 已驳回
   */
  Rejected = 3,
  /**
   * 已撤销
   */
  Revoked = 4,
}
// TYPE_1(1, "个人微信视频号授权使用协议"),
//
//   TYPE_2(2, "筑巢荟服务使用协议"),
//   TYPE_3(3, "筑巢荟用户注册协议"),
//   TYPE_4(4, "筑巢荟用户隐私协议"),
//   TYPE_5(5, "荟务服务使用协议"),

export enum AgreementType {
  /**
   * 个人微信视频号授权使用协议
   */
  PersonalWeChatVideoAuthorization = 1,
  /**
   * 筑巢荟服务使用协议
   */
  ZCHServiceAgreement = 2,
  /**
   * 筑巢荟用户注册协议
   */
  ZCHUserRegistrationAgreement = 3,
  /**
   * 筑巢荟用户隐私协议
   */
  ZCHUserPrivacyAgreement = 4,
  /**
   * 荟务服务使用协议
   */
  HuiWuServiceAgreement = 5,
}
