export interface DataFormProps {
  defaultValue?: Date | string | number
  placeholder?: string
  columns?: { label: string; value: string | number }[]
  disabled?: boolean
  'onUpdate:modelValue'?: (value: string) => void
  type?: 'nickname'
}
export type DataFormSchema<T = any> = {
  [key in keyof T]: {
    type:
      | 'TextField'
      | 'Select'
      | 'Radio'
      | 'Submit'
      | 'TimePick'
      | 'Textarea'
      | 'Checkbox'
      | 'ImageUploader'
    label?: string
    labelWidth?: number
    hiddenLabel?: boolean
    existing?: boolean
    required?: boolean
    props?: DataFormProps
  }
}
