export const useFollowUp = () => {
  const schema = ref<DataFormSchema>({
    stylistId: {
      required: true,
      type: 'Select',
      label: '设计师',
      labelWidth: 64,
      props: {
        columns: [],
      },
    },
    followTime: {
      required: true,
      type: 'TimePick',
      label: '时间',
      labelWidth: 64,
      props: {
        defaultValue: new Date(),
      },
    },
    followType: {
      required: true,
      type: 'Select',
      label: '类型',
      labelWidth: 64,
      props: {
        columns: [
          { label: '线下拜访', value: '1' },
          { label: '线上跟进', value: '2' },
        ],
      },
    },
    remark: {
      required: true,
      type: 'TextField',
      label: '备注',
      labelWidth: 64,
    },
    address: {
      // required: true,
      type: 'TextField',
      label: '地址',
      labelWidth: 64,
    },
    imgUrl: {
      required: true,
      type: 'ImageUploader',
      label: '图片',
      labelWidth: 64,
      props: {
        // max: 9,
      },
    },
  })
  const rules = ref({
    stylistId: [{ required: true, message: '请输入设计师' }],
    followTime: [{ required: true, message: '请输入时间' }],
    followType: [{ required: true, message: '请输入类型' }],
    remark: [{ required: true, message: '请输入备注' }],
    // address: [{ required: true, message: '请输入地址' }],
    // images: [{ required: true, message: '请上传图片' }],
  })
  return { schema, rules }
}
